#Region "Autodesk Copyright "
'
'  .NET Sample
'
'  Copyright (c) 2007 by Autodesk, Inc.
'
'  Permission to use, copy, modify, and distribute this software
'  for any purpose and without fee is hereby granted, provided
'  that the above copyright notice appears in all copies and
'  that both that copyright notice and the limited warranty and
'  restricted rights notice below appear in all supporting
'  documentation.
'
'  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
'  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
'  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
'  DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
'  UNINTERRUPTED OR ERROR FREE.
'
'  Use, duplication, or disclosure by the U.S. Government is subject to
'  restrictions set forth in FAR 52.227-19 (Commercial Computer
'  Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
'  (Rights in Technical Data and Computer Software), as applicable.
'
#End Region
#Region "References"
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Diagnostics
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.Aec.Building.ApplicationServices
Imports Autodesk.Aec.Building.DatabaseServices
#End Region
Namespace MepUtilities
  Public Class DebugUtilities

#Region "DumpDataRecord"

        ''' <member>
        ''' <name> MepUtilities.DebugUtilities.DumpDataRecord </name>
        ''' <returntype> void </returntype>
        ''' <summary>This method writes the contents the data record to the debug output </summary>
        ''' <param name="record"></param>
        ''' </member>

        Public Shared Sub DumpDataRecord(ByVal record As DataRecord)
            ' Output each data field in the record
            For Each datafield As DataField In record.DataFields
                DumpDataField(datafield)
            Next
        End Sub

#End Region

#Region "DumpDataField"

        ''' <member>
        ''' <name> MepUtilities.DebugUtilities.DumpDataField </name>
        ''' <returntype> void </returntype>
        ''' <summary></summary>
        ''' <param name="datafield"></param>
        ''' </member>

        Public Shared Sub DumpDataField(ByVal datafield As DataField)
            ' Write the contents of the given data field to debug output
            Debug.Write(DataUtilities.DataFieldToString(datafield))
        End Sub

#End Region

  End Class 
End Namespace

